pandoc-1.19.2.1: Conversion between markup formats

Safe Haskell | None
Language | Haskell98

Text.Pandoc.CSS

Synopsis

- foldOrElse :: Eq a => a -> [a] -> a
- pickStyleAttrProps :: [String] -> String -> Maybe String
- pickStylesToKVs :: [String] -> String -> [(String, String)]

# Documentation

foldOrElse :: Eq a => a -> [a] -> a #

pickStyleAttrProps :: [String] -> String -> Maybe String #

takes a list of key/property synonyms and a CSS string and maybe returns the value of the first match (in order of the supplied list)

pickStylesToKVs :: [String] -> String -> [(String, String)] #

takes a list of keys/properties and a CSS string and returns the corresponding key-value-pairs.